// If you want to override variables do it here
@import "variables";

// Import styles
@import "~@coreui/coreui/scss/coreui.scss";

// Temp fix for reactstrap
@import "~@coreui/coreui/scss/_dropdown-menu-right.scss";

// If you want to add something do it here
@import "custom";

// ie fixes
@import "ie-fix";

.Select-menu-outer {
  display: block;
  position: relative;
  z-index: 999 !important;
  width: 300px;
  margin-bottom: 7px;
}

.Select.is-searchable.is-open > .Select-control {
  cursor: text;
  margin-top: 5px;
}

.tableodd {
  &:nth-child(odd) {
    background-color: #f4f6f8;
  }
}

.table th {
  color: white;
  background-color: $light-blue;
}

.sidebar .sidebar-header {
  background-color: #ffffff !important;
  border-bottom: 1px solid #26323825;
  margin-bottom: 15px;
}

.sidebar .nav-link:hover {
  color: $light-blue;
  background-color: #cccccc !important;
}

.sidebar .nav-link:hover .nav-icon {
  color: $light-blue !important;
}

.sidebar .nav-link {
  color: #37474f;
  font-weight: bold;
}

.sidebar .nav-title {
  color: #37474f;
}

.sidebar .nav-item {
  color: #37474f;
  background-color: #ffffff !important;
}

.sidebar .nav-item .active {
  color: $light-blue;
  background-color: #ffffff !important;
}

.sidebar .nav-item .active .nav-icon {
  color: $light-blue !important;
}

.sidebar .nav-item .nav-icon {
  color: #37474f !important;
}

.page-link {
  color: $light-blue;
}

.page-link:hover {
  color: $light-blue;
}

.page-item.active .page-link {
  background-color: $light-blue;
  border-color: $light-blue;
}

.btn-info {
  color: #fff;
  background-color: $light-blue;
  border-color: $light-blue;
}

.btn-info:hover {
  color: #fff;
  background-color: $light-blue;
  border-color: $light-blue;
}

.btn-primary {
  color: #fff;
  background-color: $light-blue;
  border-color: $light-blue;
}

.btn-primary:hover {
  color: #fff;
  background-color: $light-blue;
  border-color: $light-blue;
}

.btn-danger {
  color: #fff;
  background-color: #f92e2e;
  border-color: #f92e2e;
}

.btn-danger:hover {
  color: #fff;
  background-color: #f92e2e;
  border-color: #f92e2e;
}

.btn-success {
  color: #fff;
  background-color: $orange !important;
  border-color: $orange !important;
}

.btn-success:hover {
  color: #fff;
  background-color: $orange !important;
  border-color: $orange !important;
}

.badge-info {
  color: #fff;
  background-color: #f9a932;
}

a {
  color: $light-blue;
  text-decoration: none;
  background-color: transparent;
}

.breadcrumb {
  background-color: #f4f6f8;
  border: 0px solid;
}

.breadcrumb-item {
  color: #3a4248;
  font-weight: bold;
}

.breadcrumb-item.active {
  color: $light-blue;
  font-weight: bold;
}

.table-bordered th,
.table-bordered td {
  border: 1px solid #acb0b3;
}

.table-sm th,
.table-sm td {
  padding: 0.5rem;
}

// =============== padding start ===============
.pad-0 {
  padding: 0px;
}

.pad-6 {
  padding: 6px;
}

.pad-top-3 {
  padding-top: 3px;
}

.pad-top-20 {
  padding-top: 20px;
}

.pad-bot-3 {
  padding-bottom: 3px;
}

.pad-3-13 {
  padding: 3px 13px;
}

.pad-8-13 {
  padding: 8px 13px;
}

// =============== width start ===============
.width-50-percent {
  width: 50%;
}

.width-100-percent {
  width: 100%;
}

.min-width-200 {
  min-width: 200px;
}

.min-width-100 {
  min-width: 100px;
}

.min-width-120 {
  min-width: 120px;
}

.min-width-140 {
  min-width: 140px;
}

.min-width-170 {
  min-width: 170px;
}

.max-width-400 {
  max-width: 400px;
}

.width-140 {
  width: 140px;
}

// =============== float start ===============
.float-left {
  float: left;
}

.float-right {
  float: right;
}

// =============== align self start ===============
.align-self-flex-end {
  align-self: flex-end;
}

.align-self-center {
  align-self: center;
}

.align-self-flex-start {
  align-self: flex-start;
}

// =============== align content start ===============
.align-content-center {
  align-content: center;
}

// =============== font size start ===============
.font-size-13 {
  font-size: 13px;
}

// =============== height start ===============
.height-30 {
  height: 30px;
}

// =============== background color start ===============
.bgc-light-gray {
  background-color: #d7d8d9;
}

.bgc-white {
  background-color: white;
}

.back-col-dis {
  background-color: #cccccc !important;
}

// =============== color start ===============
.color-white {
  color: white;
}

// =============== margin start ===============
.mar-top-5 {
  margin-top: 5px;
}

.mb-5 {
  margin-bottom: 5px;
}

.mar-bot-15 {
  margin-bottom: 15px;
}

.mar-bot-10 {
  margin-bottom: 10px;
}

.mar-bot-5 {
  margin-bottom: 5px;
}

.mar-bot-8 {
  margin-bottom: 8px;
}

.mar-top-8 {
  margin-top: 8px;
}

.mar-top-15 {
  margin-top: 15px;
}

.mar-top-30 {
  margin-top: 30px;
}

.mar-top-100 {
  margin-top: 100px;
}

.mar-bot-30 {
  margin-bottom: 30px;
}

.mar-right-40 {
  margin-right: 40px;
}

// =============== cursor start ===============
.cursor-pointer {
  cursor: pointer;
}

// =============== text start ===============
.text-align-left {
  text-align: left;
}

.text-align-center {
  text-align: center;
}

.text-align-right {
  text-align: right;
}

// =============== vertical align ===============

.vertical-align-middle-imp {
  vertical-align: middle !important;
}

.alert {
  color: red;
}

.danger {
  color: red;
}

// =============== pointer ===============
.pointer {
  cursor: pointer;
}

// =============== background color ===============
.bg-primary-2 {
  background-color: #00000000 !important;
  padding: 15px;
  color: #f76b1c;
  border-radius: 5px;
}

.bg-primary {
  background-color: $light-blue !important;
}

.mark-required {
  color: red;
}

.th-center-middle {
  text-align: center;
  vertical-align: middle !important;
}

.tab-node {
  margin-left: 100px;
}

.input-group-text {
  width: 185px;
}
